Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp
Class XSPGlobal

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.XSPGlobal

public class XSPGlobal
extends java.lang.Object

Version:
  $Revision: 1.5 $ $Date: 2000/02/13 18:29:34 $
Author:
  Ricardo Rocha

Field Summary
`protected java.util.Hashtable` | `attributes`

Constructor Summary
`XSPGlobal()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected java.util.Hashtable attributes

Constructor Detail

### XSPGlobal

    public XSPGlobal()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object object)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.